javax.servlet

## Interface ServletContextListener

- All Superinterfaces:
    EventListener

      public interface ServletContextListener
      extends EventListener

  Interface for receiving notification events about ServletContext lifecycle changes.

  In order to receive these notification events, the implementation class must be either declared in the deployment descriptor of the web application, annotated with `WebListener`, or registered via one of the addListener methods defined on `ServletContext`.

  Implementations of this interface are invoked at their `contextInitialized(javax.servlet.ServletContextEvent)` method in the order in which they have been declared, and at their `contextDestroyed(javax.servlet.ServletContextEvent)` method in reverse order.

  Since:
    Servlet 2.3
  See Also:
    `ServletContextEvent`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contextDestroyed(ServletContextEvent sce)` Receives notification that the ServletContext is about to be shut down.
    `void` | `contextInitialized(ServletContextEvent sce)` Receives notification that the web application initialization process is starting.

- - ### Method Detail

    - #### contextInitialized

          void contextInitialized(ServletContextEvent sce)

      Receives notification that the web application initialization process is starting.

      All ServletContextListeners are notified of context initialization before any filters or servlets in the web application are initialized.

      Parameters:
        `sce` - the ServletContextEvent containing the ServletContext that is being initialized

    - #### contextDestroyed

          void contextDestroyed(ServletContextEvent sce)

      Receives notification that the ServletContext is about to be shut down.

      All servlets and filters will have been destroyed before any ServletContextListeners are notified of context destruction.

      Parameters:
        `sce` - the ServletContextEvent containing the ServletContext that is being destroyed

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.